cgSetStringParameterValue(3)

NAME
cgSetStringParameterValue - set the value of a string parameter

SYNOPSIS
  #include <Cg/cg.h>
  void cgSetStringParameterValue( CGparameter param,
                                  const char * value );

PARAMETERS

param
    The parameter whose value will be set.

value
    The string to set the parameter's value as.

RETURN VALUES
None.

DESCRIPTION
cgSetStringParameterValue allows the application to set the value of a string parameter.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not string-typed.

CG_INVALID_PARAMETER_ERROR is generated if value is NULL.

HISTORY
cgSetStringParameterValue was introduced in Cg 1.4.

SEE ALSO
the cgGetStringParameterValue manpage